AsynchronousEventListener (Mule ESB 2.2.1 API)
Keywords: org.mule.module.spring.events.AsynchronousEventListener class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.spring.events
Class AsynchronousEventListener

    java.lang.Object
      org.mule.module.spring.events.AsynchronousEventListener

All Implemented Interfaces:
  EventListener, MuleEventListener, org.springframework.context.ApplicationListener

    public class AsynchronousEventListener

extends Object
implements MuleEventListener

`AsynchronousEventListener` will proces a received MuleEvent in a separate Thread. The thread pool passed in the constructor will determine how many threads can be executed at any time.

Field Summary
`protected static Log` | `logger` logger used by this class

Constructor Summary
`AsynchronousEventListener(edu.emory.mathcs.backport.java.util.concurrent.ExecutorService threadPool, org.springframework.context.ApplicationListener listener)`

Method Summary
`org.springframework.context.ApplicationListener` | `getListener()`
`void` | `onApplicationEvent(org.springframework.context.ApplicationEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  logger used by this class

Constructor Detail

### AsynchronousEventListener

    public AsynchronousEventListener(edu.emory.mathcs.backport.java.util.concurrent.ExecutorService threadPool,
                                     org.springframework.context.ApplicationListener listener)

Method Detail

### onApplicationEvent

    public void onApplicationEvent(org.springframework.context.ApplicationEvent event)

  Specified by:
    `onApplicationEvent` in interface `org.springframework.context.ApplicationListener`

### getListener

    public org.springframework.context.ApplicationListener getListener()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.